Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DLBitString

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ASN1Primitive
              org.bouncycastle.asn1.ASN1BitString
                  org.bouncycastle.asn1.DLBitString

All Implemented Interfaces:
  ASN1BitStringParser, ASN1Encodable, ASN1String, Encodable, InMemoryRepresentable

public class DLBitString
extends ASN1BitString

A Definite length BIT STRING

Constructor Summary
`DLBitString(ASN1Encodable obj)`
`DLBitString(byte[] data)`
`DLBitString(byte[] data, int padBits)`
`DLBitString(byte data, int padBits)`
`DLBitString(int namedBits)`

Methods inherited from class org.bouncycastle.asn1.ASN1BitString
`getBitStream, getBytes, getBytes, getBytesLength, getInstance, getInstance, getLoadedObject, getOctets, getOctetStream, getPadBits, getPadBits, getString, getTagged, hashCode, intValue, isOctetAligned, parser, toString`

Methods inherited from class org.bouncycastle.asn1.ASN1Primitive
`encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`getEncoded, getEncoded, hasEncodedTagValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.bouncycastle.asn1.ASN1Encodable
`toASN1Primitive`

Constructor Detail

### DLBitString

    public DLBitString(byte[] data)

### DLBitString

    public DLBitString(byte data,
                       int padBits)

### DLBitString

    public DLBitString(byte[] data,
                       int padBits)

### DLBitString

    public DLBitString(int namedBits)

### DLBitString

    public DLBitString(ASN1Encodable obj)
                throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD